Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

3.0 Upgrade question

Discussion in 'General Discussion' started by Jbrown83, Apr 9, 2014.

  1. Jbrown83

    Feb 8, 2014
    Likes Received:
    Can I use the new 3.0 assistant software to upgrade the newest Phantom 2 or do I need to use Assistant software 2.0? When I connect to the 3.0 assistant, It sees there is an update. Tells me the 3.0 firmware is out but there is a mismatch. I haven't done anything with it yet. I am aware of the updates in 3.0 so I'm not worried. Seems like the current firmware is 1.8. This again is the newest p2 (ready for zenmuse h3 3d) So can I use newest assistant software or need older version first? Last question. Should I wait on the h3 3d gimbal and install my osd mini before I do any updates? Also, Do I need to update RX first or after? Thanks for any help!